Bug 566750

Summary: Review Request: MUMPS - A MUltifrontal Massively Parallel sparse direct Solver
Product: [Fedora] Fedora Reporter: Thomas Moulard <thomas.moulard>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, notting, tcallawa
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 913152 (view as bug list) Environment:
Last Closed: 2012-08-14 12:05:44 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 201449    

Description Thomas Moulard 2010-02-19 10:59:27 EST
Spec URL: http://homepages.laas.fr/~tmoulard/fedora/mumps/MUMPS.spec
SRPM URL: http://homepages.laas.fr/~tmoulard/fedora/mumps/MUMPS-4.9.2-1.fc11.src.rpm
Description:
MUMPS implements a direct solver for large sparse linear systems, with a
particular focus on symmetric positive definite matrices.  It can
operate on distributed matrices e.g. over a cluster.  It has Fortran and
C interfaces, and can interface with ordering tools such as Scotch.


This package uses raw Makefile as its primary building mechanism,
does not provide shared library natively and can be build in two flavours:
seq and mpi for respectively sequential and parallel computations.

The build relies on additional Makefiles and patches supplied in a separate
tarball. See http://homepages.laas.fr/~tmoulard/fedora/mumps/


Based on Ubuntu packaging: https://launchpad.net/ubuntu/lucid/+source/mumps/

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1999548

$ rpmlint ~/rpmbuild/RPMS/i586/MUMPS*                                      
MUMPS.i586: W: shared-lib-calls-exit /usr/lib/libmumps_common-4.9.2.so exit@GLIBC_2.0
MUMPS.i586: W: shared-lib-calls-exit /usr/lib/libpord-4.9.2.so exit@GLIBC_2.0
MUMPS.i586: W: file-not-utf8 /usr/share/doc/MUMPS-4.9.2/README
MUMPS-debuginfo.i586: E: debuginfo-without-sources
MUMPS-devel.i586: E: no-ldconfig-symlink /usr/lib/libzmumps.so
MUMPS-devel.i586: E: no-ldconfig-symlink /usr/lib/libpord.so
MUMPS-devel.i586: W: shared-lib-calls-exit /usr/lib/libpord.so exit@GLIBC_2.0
MUMPS-devel.i586: E: no-ldconfig-symlink /usr/lib/libsmumps.so
MUMPS-devel.i586: E: no-ldconfig-symlink /usr/lib/libcmumps.so
MUMPS-devel.i586: E: no-ldconfig-symlink /usr/lib/libmumps_common.so
MUMPS-devel.i586: W: shared-lib-calls-exit /usr/lib/libmumps_common.so exit@GLIBC_2.0
MUMPS-devel.i586: E: no-ldconfig-symlink /usr/lib/libdmumps.so
MUMPS-devel.i586: W: no-documentation
MUMPS-seq.i586: W: shared-lib-calls-exit /usr/lib/libpord_seq-4.9.2.so exit@GLIBC_2.0
MUMPS-seq.i586: W: shared-lib-calls-exit /usr/lib/libmumps_common_seq-4.9.2.so exit@GLIBC_2.0
MUMPS-seq.i586: W: no-documentation
MUMPS-seq-devel.i586: E: no-ldconfig-symlink /usr/lib/libmumps_common_seq.so
MUMPS-seq-devel.i586: W: shared-lib-calls-exit /usr/lib/libmumps_common_seq.so exit@GLIBC_2.0
MUMPS-seq-devel.i586: E: no-ldconfig-symlink /usr/lib/libcmumps_seq.so
MUMPS-seq-devel.i586: E: no-ldconfig-symlink /usr/lib/libsmumps_seq.so
MUMPS-seq-devel.i586: E: no-ldconfig-symlink /usr/lib/libzmumps_seq.so
MUMPS-seq-devel.i586: E: no-ldconfig-symlink /usr/lib/libdmumps_seq.so
MUMPS-seq-devel.i586: E: no-ldconfig-symlink /usr/lib/libpord_seq.so
MUMPS-seq-devel.i586: W: shared-lib-calls-exit /usr/lib/libpord_seq.so exit@GLIBC_2.0
MUMPS-seq-devel.i586: E: no-ldconfig-symlink /usr/lib/libmpiseq.so
MUMPS-seq-devel.i586: W: no-documentation
5 packages and 0 specfiles checked; 14 errors, 12 warnings.


The only remaining error is the lack of ldconfig symlink:
1. is it a blocking problem?
2. if yes, what is the prefered way of solving that issue?

Thanks.
Comment 1 Jason Tibbitts 2010-02-20 16:17:21 EST
I'm curious as to how this can be in the public domain, when as far as I've understood the situation, French citizens cannot place things in the public domain.  Perhaps the software dates from a time when that was possible, although I don't think so.  Blocking FE-Legal for an opinion.

I would consider the ldconfig symlink issue a problem worth fixing.  Are the contents of the .so files in the -devel package and the versioned .so files in the main package the same?  If so, why not simply replace the .so files with symlinks?
Comment 2 Thomas Moulard 2010-02-21 07:03:20 EST
To be honest, I just went with what Ubuntu accepted. In debian/copyright [1]:

Copyright: None
License: other
<license text, see [1]>

[1] http://bazaar.launchpad.net/~ubuntu-branches/ubuntu/lucid/mumps/lucid/annotate/head%3A/debian/copyright
[2] http://bazaar.launchpad.net/~ubuntu-branches/ubuntu/lucid/mumps/lucid/annotate/head%3A/LICENSE

Although being French myself, I am not aware of that issue. Would you have some reference supporting your point so I can get back to upstream and ask for additional information?
Comment 3 Tom "spot" Callaway 2010-02-25 13:19:02 EST
I love citing Wikipedia here, but it is reasonably thorough:

http://en.wikipedia.org/wiki/French_copyright_law

Basically, the logic is that in France, there is the concept of Moral Rights, which copyright holders cannot waive. That makes it effectively impossible for anyone (living) in France to place their works into the Public Domain. They could place an extremely permissive license on it, but not abandon copyright entirely.

On this specific package, I asked Red Hat Legal for advice, and they noted that on the surface, it looks like the result of a rather formal project involving many research institutions, and that they were skeptical whether these institutions actually authorized placement of the original software into the public domain in any sense. They would need to see some solid documentation of this (and no, the Ubuntu/Debian copyright file doesn't count) to back this up. Also, the Ubuntu/Debian copyright notice seems to suggest that in the
2000s there were further modifications by other institutions - where's
the documentation that, say, INRIA authorized its changes to be in the
public domain? 

I need to see a lot more documentation around the licensing of this software before we can even think about lifting the FE-Legal block. I'd be happy to talk to upstream about this if they think they can shed some light here.
Comment 4 Tom "spot" Callaway 2010-02-25 13:25:47 EST
One possibility would be for the upstream to relicense the work under the Creative Commons Zero license (which was designed to have the same basic end result as Public Domain, but works around the legal issues, including those found in Europe):

http://creativecommons.org/publicdomain/zero/1.0
Comment 5 Thomas Moulard 2010-02-25 13:43:56 EST
Thanks for your explanation,
I have sent an e-mail to a developer, waiting for an answer.
Comment 6 Tom "spot" Callaway 2010-04-19 14:32:27 EDT
Any response?
Comment 7 Thomas Moulard 2010-04-22 11:50:58 EDT
No answer, unfortunately.
I just sent another email. Let's wait a couple days and close the ticket if I don't get a reply.
Comment 8 Thomas Moulard 2010-05-10 06:58:50 EDT
Got an answer today. They are trying to solve this issue with their legal service.
Comment 9 Tom "spot" Callaway 2011-06-30 13:01:14 EDT
Any updates?
Comment 10 Tom "spot" Callaway 2012-07-27 14:47:08 EDT
Since this bug was originally blocked, the Fedora Project's stance on code clearly marked as being in the Public Domain has changed. 

Accordingly, I am now lifting FE-Legal here.
Comment 11 Jason Tibbitts 2012-08-10 13:38:03 EDT
I'm assuming this clears the full set of legal questions.  In addition to the whole "public domain in France" thing there was also the desire to see some kind of documentation that the numerous contributors all actually intended to put this in something resembling the public domain.

Assuming that's all taken care of, though, is there still any will to get this program into the distribution?  It's been something like 27 months since the last comment from the submitter.
Comment 12 Thomas Moulard 2012-08-14 11:42:19 EDT
Sorry, I have no time to spend on this now.
On the opposite, if there is somebody else interested in packaging this software, feel free to contact me.
Comment 13 Jason Tibbitts 2012-08-14 12:05:44 EDT
No problem; I'll close this out.  The ticket and information in it will still be there if anyone searches.  Anyone else who wants to submit this is welcome to open their own ticket and mark this one as a duplicate.